﻿@model PessoaViewModel

@{
    ViewData["Title"] = "Cadastro";
}

<div class="container">
    <div asp-validation-summary="All"></div>
    <form method="post" asp-action="Index">
        <div class="input-group input-group-lg" id="esconder">
            <div class="input-group-prepend">
                <span class="input-group-text" id="basic-addon1">CPF</span>
            </div>
            <input autofocus type="text" asp-for="Cpf" class="form-control" id="cpf" aria-label="CPF" aria-describedby="basic-addon1">
        </div>
        <div class="input-group input-group-lg" hidden id="mostrar">
            <div class="input-group-prepend">
                <span class="input-group-text" id="basic-addon2">Telefone</span>
            </div>
            <input type="text" class="form-control" asp-for="Telefone" aria-label="Telefone" aria-describedby="basic-addon2">
        </div>
        <br><br><br><br>
        <button type="button" class="btn btn-success btn-lg" style="float: right" onclick="mostrar()" id="esconder2">Próximo</button>
        <button type="submit" class="btn btn-success btn-lg" style="float: right" hidden id="mostrar2">Próximo</button>
    </form>
</div>

@section Scripts
{
    <script>
        function mostrar()
        {
           document.getElementById("mostrar").hidden = false;
           document.getElementById("mostrar2").hidden = false;
           document.getElementById("esconder").hidden = true;
           document.getElementById("esconder2").hidden = true;
        }
        $(function()
                {
                    //Executa a requisição quando o campo username perder o foco
                    $('#cpf').blur(function()
                    {
                        var cpf = $('#cpf').val().replace(/[^0-9]/g, '').toString();
                
                        if( cpf.length == 11 )
                        {
                            var v = [];
                
                            //Calcula o primeiro dígito de verificação.
                            v[0] = 1 * cpf[0] + 2 * cpf[1] + 3 * cpf[2];
                            v[0] += 4 * cpf[3] + 5 * cpf[4] + 6 * cpf[5];
                            v[0] += 7 * cpf[6] + 8 * cpf[7] + 9 * cpf[8];
                            v[0] = v[0] % 11;
                            v[0] = v[0] % 10;
                
                            //Calcula o segundo dígito de verificação.
                            v[1] = 1 * cpf[1] + 2 * cpf[2] + 3 * cpf[3];
                            v[1] += 4 * cpf[4] + 5 * cpf[5] + 6 * cpf[6];
                            v[1] += 7 * cpf[7] + 8 * cpf[8] + 9 * v[0];
                            v[1] = v[1] % 11;
                            v[1] = v[1] % 10;
                
                            //Retorna Verdadeiro se os dígitos de verificação são os esperados.
                            if ( (v[0] != cpf[9]) || (v[1] != cpf[10]) )
                            {
                                alert('CPF inválido: ' + cpf);
                
                                $('#cpf').val('');
                                //$('#cpf').focus();
                            }
                        }
                        else
                        {
                            alert('CPF inválido:' + cpf);
                
                            $('#cpf').val('');
                           // $('#cpf').focus();
                        }
                    });
                });
    </script>
}